code-mergeВерсионирование

📦 Приложения и версии

Create App

post

Create an app to group versions and/or split environments.

Authorizations
AuthorizationstringRequired
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
namestring · min: 3 · max: 64Required

Custom identifier.

Example: my-game-server
is_activebooleanRequired

Enable or disable deployments.

Default: trueExample: true
imagestringRequired

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
Responses
chevron-right
200

Success

application/json
namestring · min: 3 · max: 64Required

Custom name.

Example: my-game-server
is_activebooleanRequired

Enable or disable deployments.

Default: trueExample: true
imagestringRequired

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
create_timestringRequired

Date of creation.

Example: 2026-04-22 12:00:46.444265
last_updatedstringRequired

Date of last update.

Example: 2026-04-22 12:00:46.444265
post
/v1/app

Get App

get

Get app details.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequiredExample: my-game-server
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
namestring · min: 3 · max: 64Required

Custom name.

Example: my-game-server
is_activebooleanRequired

Enable or disable deployments.

Default: trueExample: true
imagestringRequired

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
create_timestringRequired

Date of creation.

Example: 2026-04-22 12:00:46.444265
last_updatedstringRequired

Date of last update.

Example: 2026-04-22 12:00:46.444265
get
/v1/app/{app_name}

List Apps

get

List apps under your organization.

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1OptionalExample: 2
limitinteger · min: 1OptionalExample: 20
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
total_countintegerRequiredExample: 100
get
/v1/apps

Update App

patch

Modify existing app.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequiredExample: my-game-server
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
namestring · min: 3 · max: 64Optional

Application name

Example: my-game-server
is_activebooleanOptional

If the application can be deployed

Default: trueExample: true
imagestringOptional

Image base64 string

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
Responses
chevron-right
200

Success

application/json
namestring · min: 3 · max: 64Required

Custom name.

Example: my-game-server
is_activebooleanRequired

Enable or disable deployments.

Default: trueExample: true
imagestringRequired

Image base64 string.

Example: iVBORw0KGgoAAAANSUhEUg[...]AAABJRU5ErkJggg==
create_timestringRequired

Date of creation.

Example: 2026-04-22 12:00:46.444265
last_updatedstringRequired

Date of last update.

Example: 2026-04-22 12:00:46.444265
patch
/v1/app/{app_name}

Delete App

delete

Delete an app and its versions.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequiredExample: my-game-server
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

No content

delete
/v1/app/{app_name}

No content

Create App Version

post

Create an app version.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestring · min: 3 · max: 64RequiredExample: my-game-server
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
namestring · min: 1 · max: 64Required

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
is_activebooleanOptional

Enable or disable deployments.

Default: trueExample: true
req_cpuinteger · min: 100Required

Amount of vCPU units assigned to deployments. (1024 units = 1 vCPU).

Example: 1536
req_memoryinteger · min: 100Required

Amount of memory MB assigned to deployments, at most double your vCPU units. (1024 MB = 1 GB).

Example: 3072
req_videointegerOptional

Amount of GPU units assigned to deployments. (1024 = 1 GPU)

Example: 0
docker_repositorystringRequired

Docker registry URL, ‘docker_repository’ is named incorrectly.

Example: registry.edgegap.com
private_usernamestringOptional

Docker Registry username. Not your Edgegap credentials.

Example: robot$my-org-cv2l3w3vy6fg+app-version-pull
private_tokenstringOptional

Docker Registry token/password. Not your Edgegap credentials.

Example: ghca3dz3foAxXf2tu2xjExtXrBOMydfC
docker_imagestringRequired

Namespaced docker image ID.

Example: my-org-cv2l3w3vy6fg/my-game-server
docker_tagstringRequired

Docker tag ID, typically timestamp or a build ID. Avoid using latest or overwriting tags.

Example: 2024.01.30-16.23.00-UTC
verify_imagebooleanOptional

Enable to verify we can pull your docker image using provided parameters and credentials.

Default: falseExample: true
force_cachebooleanOptional

Enable faster deployments with global image preloading. Recommended for live games.

Example: true
time_to_deployinteger · min: 15Optional

Image downloads exceeding this period (seconds) will timeout and be marked as Error.

Default: 10Example: 10
max_durationinteger · min: -1 · max: 1440Optional

Maximum allowed uptime minutes of deployments before automatically stopped.

Default: 1440Example: 1440
restart_policystring · enumOptional

Define policy for handling server process exit codes. Set to never to automatically stop deployments when your server process exits.

Default: alwaysExample: neverPossible values:
termination_grace_period_secondsinteger · min: 5 · max: 3600Optional

Termination grace period in seconds after sending the SIGTERM signal to your deployment. Allows graceful shutdown and post-processing before the container stops.

Example: 5
will_deploy_in_mainland_chinabooleanOptional

Enable China Gateway. Disable to deploy worldwide except China.

Default: false
dns_configstringOptional

DNS configuration identifier for custom deployment domains.

Example: my-dns-config
endpoint_storagestringOptional

Endpoint storage identifier to upload deployment logs, overrides app version storage if specified.

Example: my-storage
Responses
chevron-right
200

Success

application/json
successbooleanRequired

If the creation happened correctly

Default: true
post
/v1/app/{app_name}/version

Get App Version

get

Get version details.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequired

The name of the application

Example: my-game-server
version_namestringRequired

The name of the application version

Example: 2024.01.30-16.23.00-UTC
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
namestring · min: 1 · max: 64Required

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
create_timestring · date-timeOptional

Date of creation.

Example: 2026-04-22 20:30:52.283949
last_updatedstring · date-timeOptional

Date of last update.

Example: 2026-04-22 20:30:52.283949
is_activebooleanOptional

Enable or disable deployments.

Default: trueExample: true
req_cpuinteger · min: 100Required

Amount of vCPU units assigned to deployments. (1024 units = 1 vCPU).

Example: 1536
req_memoryinteger · min: 100Required

Amount of memory MB assigned to deployments, at most double your vCPU units. (1024 MB = 1 GB).

Example: 3072
req_videointegerOptional

Amount of GPU units assigned to deployments. (1024 = 1 GPU)

Example: 0
docker_repositorystringRequired

Docker registry URL, ‘docker_repository’ is named incorrectly.

Example: registry.edgegap.com
private_usernamestringOptional

Docker Registry username. Not your Edgegap credentials.

Example: robot$my-org-cv2l3w3vy6fg+app-version-pull
private_tokenstringOptional

Docker Registry token/password. Not your Edgegap credentials.

Example: ghca3dz3foAxXf2tu2xjExtXrBOMydfC
docker_imagestringRequired

Namespaced docker image ID.

Example: my-org-cv2l3w3vy6fg/my-game-server
docker_tagstringRequired

Docker tag ID, typically timestamp or a build ID. Avoid using latest or overwriting tags.

Example: 2024.01.30-16.23.00-UTC
verify_imagebooleanOptional

Enable to verify we can pull your docker image using provided parameters and credentials.

Default: falseExample: true
force_cachebooleanOptional

Enable faster deployments with global image preloading. Recommended for live games.

Example: true
caching_percentnumberOptional

Current global caching percentage on scale 0-1. Values above 0.8 (80%) are considered a good coverage level.

Example: 0.8
time_to_deployinteger · min: 15Optional

Image downloads exceeding this period (seconds) will timeout and be marked as Error.

Default: 10Example: 10
max_durationinteger · min: -1 · max: 1440Optional

Maximum allowed uptime minutes of deployments before automatically stopped.

Default: 1440Example: 1440
restart_policystring · enumOptional

Define policy for handling server process exit codes. Set to never to automatically stop deployments when your server process exits.

Default: alwaysExample: neverPossible values:
termination_grace_period_secondsinteger · min: 5 · max: 3600Optional

Termination grace period in seconds after sending the SIGTERM signal to your deployment. Allows graceful shutdown and post-processing before the container stops.

Example: 5
will_deploy_in_mainland_chinabooleanOptional

Enable China Gateway. Disable to deploy worldwide except China.

Default: false
dns_configstringOptional

DNS configuration identifier for custom deployment domains.

Example: my-dns-config
endpoint_storagestringOptional

Endpoint storage identifier to upload deployment logs, overrides app version storage if specified.

Example: my-storage
get
/v1/app/{app_name}/version/{version_name}

List App Versions

get

List versions under app.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequired

The name of the application

Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
total_countintegerRequiredExample: 100
get
/v1/app/{app_name}/versions

Update App Version

patch

Modify existing app version.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequired

The name of the application

Example: my-game-server
version_namestringRequired

The name of the application version

Example: 2024.01.30-16.23.00-UTC
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
namestring · min: 1 · max: 64Optional

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
is_activebooleanOptional

Enable or disable deployments.

Default: trueExample: true
docker_repositorystringOptional

Docker registry URL, ‘docker_repository’ is named incorrectly.

Example: registry.edgegap.com
private_usernamestringOptional

Docker Registry username. Not your Edgegap credentials.

Example: robot$my-org-cv2l3w3vy6fg+app-version-pull
private_tokenstringOptional

Docker Registry token/password. Not your Edgegap credentials.

Example: ghca3dz3foAxXf2tu2xjExtXrBOMydfC
docker_imagestringOptional

Namespaced docker image ID.

Example: my-org-cv2l3w3vy6fg/my-game-server
docker_tagstringOptional

Docker tag ID, typically timestamp or a build ID. Avoid using latest or overwriting tags.

Example: 2024.01.30-16.23.00-UTC
verify_imagebooleanOptional

Enable to verify we can pull your docker image using provided parameters and credentials.

Default: falseExample: true
force_cachebooleanOptional

Enable faster deployments with global image preloading. Recommended for live games.

Example: true
time_to_deployinteger · min: 15Optional

Image downloads exceeding this period (seconds) will timeout and be marked as Error.

Default: 10Example: 10
max_durationinteger · min: -1 · max: 1440Optional

Maximum allowed uptime minutes of deployments before automatically stopped.

Default: 1440Example: 1440
restart_policystring · enumOptional

Define policy for handling server process exit codes. Set to never to automatically stop deployments when your server process exits.

Default: alwaysExample: neverPossible values:
termination_grace_period_secondsinteger · min: 5 · max: 3600Optional

Termination grace period in seconds after sending the SIGTERM signal to your deployment. Allows graceful shutdown and post-processing before the container stops.

Example: 5
will_deploy_in_mainland_chinabooleanOptional

Enable China Gateway. Disable to deploy worldwide except China.

Default: false
dns_configstringOptional

DNS configuration identifier for custom deployment domains.

Example: my-dns-config
endpoint_storagestringOptional

Endpoint storage identifier to upload deployment logs, overrides app version storage if specified.

Example: my-storage
Responses
chevron-right
200

Success

application/json
successbooleanRequired
patch
/v1/app/{app_name}/version/{version_name}

Delete App Version

delete

Delete an app version.

Authorizations
AuthorizationstringRequired
Path parameters
app_namestringRequired

The name of the application

Example: my-game-server
version_namestringRequired

The name of the application version

Example: 2024.01.30-16.23.00-UTC
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
successbooleanRequired
messagestringOptional
delete
/v1/app/{app_name}/version/{version_name}

💾 Реестр контейнеров

List Image Tags

get

List all tags of a specific docker image.

Authorizations
AuthorizationstringRequired
Path parameters
image_namestringRequired

The name of the image

Example: my-org-cv2l3w3vy6fg/my-game-server
Query parameters
pageinteger · min: 1OptionalExample: 2
limitinteger · min: 1OptionalExample: 20
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
get
/v1/container-registry/images/{image_name}/tags

Delete Image Tag

delete

Delete a single tag and the associated image in the registry.

Authorizations
AuthorizationstringRequired
Path parameters
image_namestringRequired

Docker image name.

Example: my-org-cv2l3w3vy6fg/my-game-server
tag_namestringRequired

Docker tag ID.

Example: 2024.01.30-16.23.00-UTC
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Responses
chevron-right
200

Success

application/json
deleted_tagstringOptional

Deleted docker tag ID.

Example: 1.0.0
delete
/v1/container-registry/images/{image_name}/tags/{tag_name}

Delete Image Tags

post

Delete multiple tags of a registry image. Returns 207 Multi-Status with result for each tag separately. Caution is advised.

Authorizations
AuthorizationstringRequired
Path parameters
image_namestringRequired

The name of the image

Example: my-org-cv2l3w3vy6fg/my-game-server
Header parameters
AcceptstringOptionalExample: */*
Content-TypestringOptionalExample: application/json
Body
tagsstring[]Required

Tags to delete.

Example: 1.0.0
Responses
post
/v1/container-registry/images/{image_name}/tags/bulk-delete

Последнее обновление

Это было полезно?